osl::eval::ml::King25EffectSupportedY Class Reference

`#include <kingTable.h>`

## Public Types

enum | { ONE_DIM = 17 * 17 * 9 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (int black_attack_piece, int white_attack_piece, int black_attack_supported_piece, int white_attack_supported_piece, int black_king_y, int white_king_y)

## Static Private Member Functions

static int | index (int piece_count, int supported, int y)

## Static Private Attributes

static CArray< MultiInt, ONE_DIM > | table

## Detailed Description

Definition at line 397 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 400 of file kingTable.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::King25EffectSupportedY::eval | ( | int | black_attack_piece,
|  | int | white_attack_piece,
|  | int | black_attack_supported_piece,
|  | int | white_attack_supported_piece,
|  | int | black_king_y,
|  | int | white_king_y )

inline static

Definition at line 409 of file kingTable.h.

References index(), and table.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::King25EffectSupportedY::index | ( | int | piece_count,
|  | int | supported,
|  | int | y )

inline static private

Definition at line 402 of file kingTable.h.

Referenced by eval().

## setUp()

void osl::eval::ml::King25EffectSupportedY::setUp | ( | const Weights & | weights | ) |

static

Definition at line 485 of file kingTable.cc.

## Member Data Documentation

## table

osl::CArray< MultiInt, osl::eval::ml::King25EffectSupportedY::ONE_DIM > osl::eval::ml::King25EffectSupportedY::table

static private

Definition at line 406 of file kingTable.h.

Referenced by eval(), and osl::eval::ml::King25EmptyAbs< false >::index().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc